import type { _NSDimension } from "./NSDimension.js";
export declare class _NSUnitDuration extends _NSDimension {
    static alloc(): _NSUnitDuration;
    static new(): _NSUnitDuration;
    init(): _NSUnitDuration;
    /** Base unit - seconds */
    static hours(): _NSUnitDuration;
    static minutes(): _NSUnitDuration;
    static seconds(): _NSUnitDuration;
    static milliseconds(): _NSUnitDuration;
    static microseconds(): _NSUnitDuration;
    static nanoseconds(): _NSUnitDuration;
    static picoseconds(): _NSUnitDuration;
}
